import { Entity } from "./entity.base";
export interface Mapper<Domain extends Entity<any>, Schema, Object> {
    toSchema(domain: Domain): Schema;
    toDomain(schema: Schema): Domain;
    toObject(domain: Domain): Object;
}
